> ## Documentation Index
> Fetch the complete documentation index at: https://docs.musixmatch.com/llms.txt
> Use this file to discover all available pages before exploring further.

# track.lyrics.get

> Get the lyrics for a track.

export const PlanIndicator = ({children, plan = []}) => {
  const plans = {
    basic: {
      label: 'Basic',
      url: 'https://www.musixmatch.com/pro/api/pricing?utm_source=docs&utm_medium=web&utm_content=basic_button'
    },
    scale: {
      label: 'Grow',
      url: 'https://www.musixmatch.com/pro/api/pricing?utm_source=docs&utm_medium=web&utm_content=grow_button'
    },
    scaleNew: {
      label: 'Scale',
      url: 'https://www.musixmatch.com/pro/api/pricing?utm_source=docs&utm_medium=web&utm_content=scale_button'
    },
    enterprise: {
      label: 'Enterprise',
      url: 'https://www.musixmatch.com/pro/api/pricing?utm_source=docs&utm_medium=web&utm_content=enterprise_button'
    }
  };
  const icon = <svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" fill="#131313" viewBox="0 0 24 24">
      <path fillRule="evenodd" d="M13.804 3.773a.75.75 0 0 1 .911.543l1.012 4a.75.75 0 0 1-.003.382l-3.013 11a.75.75 0 0 1-1.448-.006l-2.908-11a.75.75 0 0 1-.007-.358l.909-4a.75.75 0 1 1 1.463.332l-.868 3.82 2.149 8.128 2.224-8.122-.964-3.808a.75.75 0 0 1 .543-.911Z" clipRule="evenodd" />
      <path fillRule="evenodd" d="M3.29 8.5a.75.75 0 0 1 .75-.75h16a.75.75 0 1 1 0 1.5h-16a.75.75 0 0 1-.75-.75Z" clipRule="evenodd" />
      <path fillRule="evenodd" d="M5.24 3.9a1 1 0 0 1 .8-.4h12a1 1 0 0 1 .8.4l3 4a1 1 0 0 1-.026 1.233l-9 11a1 1 0 0 1-1.548 0l-9-11A1 1 0 0 1 2.24 7.9l3-4Zm1.3 1.6L4.31 8.473l7.73 9.448 7.73-9.448L17.54 5.5h-11Z" clipRule="evenodd" />
    </svg>;
  const selectedPlans = Array.isArray(plan) ? plan : [plan];
  if (selectedPlans.length === 1 && selectedPlans[0] === 'basic') return null;
  const href = selectedPlans.length === 1 ? plans[selectedPlans[0]]?.url : 'https://www.musixmatch.com/pro/api/pricing';
  return <>
      <style>{`
        .plan-indicator-no-border {
          border: none !important;
          border-bottom: none !important;
          text-decoration: none !important;
          transition: background-color 0.2s ease;
        }
        .plan-indicator-no-border:hover {
          text-decoration: none !important;
          background-color: #E8E8E8 !important;
        }
      `}</style>
      <a href={href} title="See all Musixmatch API plans" target="_blank" className="plan-indicator-no-border inline-flex items-center gap-1 text-gray-800 px-2 py-1 rounded-lg" style={{
    backgroundColor: '#F4F4F4',
    fontSize: '14px',
    color: '#131313'
  }}>
        {icon}
        {selectedPlans.map((planKey, index) => <span key={planKey}>
            {plans[planKey]?.label}
            {index < selectedPlans.length - 1 && ', '}
          </span>)}
        {children} plan
      </a>
    </>;
};

<PlanIndicator plan={["basic"]} />

At least one of the query parameters must be indicated: **commontrack\_id**, or **track\_isrc**.

Make sure to fulfill the [country restrictions](/content-restrictions) you receive for every copyrighted content.\
See also: [Lyrics views tracking](/lyrics-views-tracking)


## OpenAPI

````yaml get /ws/1.1/track.lyrics.get
openapi: 3.0.3
info:
  title: Lyrics API
  description: >-
    These endpoints return metadata about songs and lyrics.  

    For full details, see the [API
    reference](https://docs.musixmatch.com/lyrics-api/introduction) for these
    endpoints.


    To authenticate your API requests and use the endpoints, you need to include
    your API key as a **query parameter** (`apikey`) in every call, like this:


    `GET /ws/1.1/track.get?apikey=YOUR_API_KEY`.


    In Postman, enter your API Key in the **Auth** tab, where it will be
    automatically appended to the request. **Best Practice:** Use **Postman
    Vault** to securely store your key; see the official [Postman
    documentation](https://learning.postman.com/docs/sending-requests/postman-vault/postman-vault-secrets/)
    for details.


    Always keep your API key secure and never share it publicly. If you believe
    your API key has been compromised, contact us immediately at
    `sales@musixmatch.com`.
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.musixmatch.com
security:
  - apiKey: []
tags:
  - name: Matcher
    description: >-
      Match an external piece of information (like a title and artist) to a
      track in the Musixmatch catalog to retrieve its track ID, lyrics, or
      syncs.
  - name: Track
    description: >-
      Search for specific songs, and retrieve detailed information about a
      single track, including its lyrics, snippets, translations, and rich sync
      data.
  - name: Artist
    description: >-
      Search for artists, and retrieve detailed information about a specific
      artist, including their discography (albums).
  - name: Album
    description: >-
      Retrieve detailed information about a specific music album, including the
      list of tracks it contains.
  - name: Charts
    description: >-
      Retrieve top-ranking tracks and artists, typically based on country, as
      well as lists of available music genres.
  - name: Enterprise
    description: >-
      **For more details on the Enterprise integration refer to the** [official
      documentation.](https://docs.musixmatch.com/enterprise-integration/introduction)
paths:
  /ws/1.1/track.lyrics.get:
    get:
      tags:
        - Track
      summary: track.lyrics.get
      description: Get the lyrics for a track.
      operationId: trackLyricsGet
      parameters:
        - name: commontrack_id
          in: query
          schema:
            type: string
            example: '5920049'
          description: A Musixmatch commontrack ID.
        - name: track_isrc
          in: query
          schema:
            type: string
            example: USUM70905526
          description: A valid ISRC identifier.
        - name: track_spotify_id
          in: query
          schema:
            type: string
            example: 5TfzrLmEHCDULQwnNbkSTZ
          description: A Spotify ID.
        - name: track_itunes_id
          in: query
          schema:
            type: string
            example: '1721054885'
          description: An Apple Music ID.
      responses:
        '200':
          description: 200 OK / 401 Unauthorized / 404 Not Found
          headers:
            Connection:
              schema:
                type: string
                example: keep-alive
            Content-Encoding:
              schema:
                type: string
                example: gzip
            Content-Length:
              schema:
                type: string
                example: '99'
            Date:
              schema:
                type: string
                example: Tue, 04 Feb 2025 10:12:06 GMT
            Vary:
              schema:
                type: string
                example: Accept-Encoding
            x-mxm-api-application-id:
              schema:
                type: string
                example: '1409624942950'
            x-mxm-header-execute-time:
              schema:
                type: string
                example: '0.38449907302856'
            x-mxm-header-status:
              schema:
                type: string
                example: '404'
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: object
                    properties:
                      body:
                        anyOf:
                          - type: object
                            properties:
                              lyrics:
                                type: object
                                properties:
                                  explicit:
                                    type: number
                                    example: 0
                                  lyrics_body:
                                    type: string
                                    example: >-
                                      I know that we are young

                                      And I know that you may love me

                                      But I just can't be with you like this
                                      anymore

                                      Alejandro


                                      She's got both hands in her pocket

                                      And she won't look at you, won't look at
                                      you

                                      She hides true love en su bolsillo

                                      She's got a halo around her finger, around
                                      you


                                      You know that I love you, boy

                                      Hot like Mexico, rejoice

                                      At this point, I've gotta choose

                                      Nothing to lose


                                      Don't call my name, don't call my name,
                                      Alejandro

                                      I'm not your babe, I'm not your babe,
                                      Fernando

                                      Don't wanna kiss, don't wanna touch

                                      Just smoke my cigarette and hush

                                      Don't call my name, don't call my name,
                                      Roberto


                                      Alejandro, Alejandro

                                      Ale-Alejandro, Ale-Alejandro

                                      Alejandro, Alejandro

                                      Ale-Alejandro, Ale-Alejandro


                                      Stop, please, just let me go

                                      Alejandro, just let me go


                                      She's not broken, she's just a baby

                                      But her boyfriend's like her dad, just
                                      like a dad

                                      And all those flames that burned before
                                      him

                                      Now he's gotta firefight, got cool the bad


                                      You know that I love you, boy

                                      Hot like Mexico, rejoice

                                      At this point, I've gotta choose

                                      Nothing to lose


                                      Don't call my name, don't call my name,
                                      Alejandro

                                      I'm not your babe, I'm not your babe,
                                      Fernando

                                      Don't wanna kiss, don't wanna touch

                                      Just smoke my cigarette and hush

                                      Don't call my name, don't call my name,
                                      Roberto


                                      Alejandro, Alejandro

                                      Ale-Alejandro, Ale-Alejandro

                                      Alejandro, Alejandro

                                      Ale-Alejandro, Ale-Alejandro


                                      Don't bother me, don't bother me,
                                      Alejandro

                                      Don't call my name, don't call my name,
                                      bye, Fernando

                                      I'm not your babe, I'm not your babe,
                                      Alejandro

                                      Don't wanna kiss, don't wanna touch,
                                      Fernando


                                      Don't call my name, don't call my name,
                                      Alejandro

                                      I'm not your babe, I'm not your babe,
                                      Fernando

                                      Don't wanna kiss, don't wanna touch

                                      Just smoke my cigarette and hush

                                      Don't call my name, don't call my name,
                                      Roberto


                                      Alejandro, Alejandro

                                      Ale-Alejandro, Ale-Alejandro

                                      Alejandro, Alejandro

                                      Ale-Alejandro, Ale-Alejandro


                                      Don't call my name, don't call my name,
                                      Alejandro

                                      I'm not your babe, I'm not your babe,
                                      Fernando

                                      Don't wanna kiss, don't wanna touch

                                      Just smoke my cigarette and hush

                                      Don't call my name, don't call my name,
                                      Roberto


                                      Alejandro
                                  lyrics_copyright:
                                    type: string
                                    example: >-
                                      Writer(s): Stefani Germanotta, Nadir
                                      Khayat

                                      Copyright: Sony/atv Songs Llc, Songs Of
                                      Redone, House Of Gaga Publishing Llc,
                                      House Of Gaga Publishing Inc

                                      Lyrics powered by www.musixmatch.com
                                  lyrics_id:
                                    type: number
                                    example: 16258913
                                  lyrics_language:
                                    type: string
                                    example: en
                                  pixel_tracking_url:
                                    type: string
                                    example: >-
                                      https://tracking.musixmatch.com/t1.0/m_img/e_0/sn_0/l_16258913/su_0/rs_0/tr_3vUCAD89QMi-09ZtyZedCON8p5IWdHcrgHnWQv8uoS26xTu_dhNv7pg93xeOzpM-RQ25hEChkhH09tzt_WTuPmqwOEqBUmK2Om9SrVmeY-IDq2yMZ9nh5noNZh2xfIgKAf8b9VLJ257Ud-7K5JBs28flcQiHIX2veuuzeKRkjMmCiFXMF8qNBlaxBVIVxBa2tORYlUirUylLir4INaq-uOqQs3qYqbppfzVjurlenGT2MqPjjA29tdHRmb8nZQzlnnbxG-a41NBVc1KUB6OchXp5MgD_vGmywbQ_uSwJ0dSyc7_qR3OW76Iywcak7bsbYEAt2SIhIFhueB-LzEla7BRuQ94K0TzQ9zGFHlJfDKBEQ0qfCHqmOpPIXD4Ciig-HRZSiK7IlYDJkq34cmpRXn6yCW_nMHI9_CXMji-IYO__e0aTmMIYWrSGv3Tt-iDj/
                                  script_tracking_url:
                                    type: string
                                    example: >-
                                      https://tracking.musixmatch.com/t1.0/m_js/e_0/sn_0/l_16258913/su_0/rs_0/tr_3vUCAPyhiC1b1puoRZNGFoIMTet-yNNgyfqs9vJKAvHadXByJ02tkI7H-6JNMEewkKxZBeszqLulBVSoyeqmXpgNQKbj0tAuuhDicPv9ZGnlUxVAXqBvorS3ste-Q7mE9-jkq1pzxIhDWq99fVXpliVtojpxvD-49yehOMtP_Wdg-smfOq1Y3QcP1DBu4ZLDgjdTpX71zwuBN1nvP4icle3ySj664Q70Z8Q-LpnDONhTfVdJEJKaRhTFdCZ-eUSxHq2QqkXfvS9LyLZasI4Q6EPP8G_un6aFXdgWHbHSOApC7c_40f-Tfo0dxeguGlKlSlUoJ1Cpm2_0GD1N8shQQwgr18PYFNMraVM_w0rtMEmKH3GsMglWlb90V5XcMyoofkxrA-9qjt4VzqM6TxWEbYYSzF1ZmdLk10hNGluhieMC0vZqAEVZCVcIdFUkHvrv/
                                  updated_time:
                                    type: string
                                    example: '2022-06-13T18:44:33Z'
                          - type: array
                            items: {}
                            example: []
                          - type: array
                            items: {}
                            example: []
                      header:
                        type: object
                        properties:
                          execute_time:
                            type: number
                            example: 0.2803099155426
                          status_code:
                            type: number
                            example: 200
              examples:
                200 OK:
                  value:
                    message:
                      body:
                        lyrics:
                          explicit: 0
                          lyrics_body: >-
                            I know that we are young

                            And I know that you may love me

                            But I just can't be with you like this anymore

                            Alejandro


                            She's got both hands in her pocket

                            And she won't look at you, won't look at you

                            She hides true love en su bolsillo

                            She's got a halo around her finger, around you


                            You know that I love you, boy

                            Hot like Mexico, rejoice

                            At this point, I've gotta choose

                            Nothing to lose


                            Don't call my name, don't call my name, Alejandro

                            I'm not your babe, I'm not your babe, Fernando

                            Don't wanna kiss, don't wanna touch

                            Just smoke my cigarette and hush

                            Don't call my name, don't call my name, Roberto


                            Alejandro, Alejandro

                            Ale-Alejandro, Ale-Alejandro

                            Alejandro, Alejandro

                            Ale-Alejandro, Ale-Alejandro


                            Stop, please, just let me go

                            Alejandro, just let me go


                            She's not broken, she's just a baby

                            But her boyfriend's like her dad, just like a dad

                            And all those flames that burned before him

                            Now he's gotta firefight, got cool the bad


                            You know that I love you, boy

                            Hot like Mexico, rejoice

                            At this point, I've gotta choose

                            Nothing to lose


                            Don't call my name, don't call my name, Alejandro

                            I'm not your babe, I'm not your babe, Fernando

                            Don't wanna kiss, don't wanna touch

                            Just smoke my cigarette and hush

                            Don't call my name, don't call my name, Roberto


                            Alejandro, Alejandro

                            Ale-Alejandro, Ale-Alejandro

                            Alejandro, Alejandro

                            Ale-Alejandro, Ale-Alejandro


                            Don't bother me, don't bother me, Alejandro

                            Don't call my name, don't call my name, bye,
                            Fernando

                            I'm not your babe, I'm not your babe, Alejandro

                            Don't wanna kiss, don't wanna touch, Fernando


                            Don't call my name, don't call my name, Alejandro

                            I'm not your babe, I'm not your babe, Fernando

                            Don't wanna kiss, don't wanna touch

                            Just smoke my cigarette and hush

                            Don't call my name, don't call my name, Roberto


                            Alejandro, Alejandro

                            Ale-Alejandro, Ale-Alejandro

                            Alejandro, Alejandro

                            Ale-Alejandro, Ale-Alejandro


                            Don't call my name, don't call my name, Alejandro

                            I'm not your babe, I'm not your babe, Fernando

                            Don't wanna kiss, don't wanna touch

                            Just smoke my cigarette and hush

                            Don't call my name, don't call my name, Roberto


                            Alejandro
                          lyrics_copyright: >-
                            Writer(s): Stefani Germanotta, Nadir Khayat

                            Copyright: Sony/atv Songs Llc, Songs Of Redone,
                            House Of Gaga Publishing Llc, House Of Gaga
                            Publishing Inc

                            Lyrics powered by www.musixmatch.com
                          lyrics_id: 16258913
                          lyrics_language: en
                          pixel_tracking_url: >-
                            https://tracking.musixmatch.com/t1.0/m_img/e_0/sn_0/l_16258913/su_0/rs_0/tr_3vUCAD89QMi-09ZtyZedCON8p5IWdHcrgHnWQv8uoS26xTu_dhNv7pg93xeOzpM-RQ25hEChkhH09tzt_WTuPmqwOEqBUmK2Om9SrVmeY-IDq2yMZ9nh5noNZh2xfIgKAf8b9VLJ257Ud-7K5JBs28flcQiHIX2veuuzeKRkjMmCiFXMF8qNBlaxBVIVxBa2tORYlUirUylLir4INaq-uOqQs3qYqbppfzVjurlenGT2MqPjjA29tdHRmb8nZQzlnnbxG-a41NBVc1KUB6OchXp5MgD_vGmywbQ_uSwJ0dSyc7_qR3OW76Iywcak7bsbYEAt2SIhIFhueB-LzEla7BRuQ94K0TzQ9zGFHlJfDKBEQ0qfCHqmOpPIXD4Ciig-HRZSiK7IlYDJkq34cmpRXn6yCW_nMHI9_CXMji-IYO__e0aTmMIYWrSGv3Tt-iDj/
                          script_tracking_url: >-
                            https://tracking.musixmatch.com/t1.0/m_js/e_0/sn_0/l_16258913/su_0/rs_0/tr_3vUCAPyhiC1b1puoRZNGFoIMTet-yNNgyfqs9vJKAvHadXByJ02tkI7H-6JNMEewkKxZBeszqLulBVSoyeqmXpgNQKbj0tAuuhDicPv9ZGnlUxVAXqBvorS3ste-Q7mE9-jkq1pzxIhDWq99fVXpliVtojpxvD-49yehOMtP_Wdg-smfOq1Y3QcP1DBu4ZLDgjdTpX71zwuBN1nvP4icle3ySj664Q70Z8Q-LpnDONhTfVdJEJKaRhTFdCZ-eUSxHq2QqkXfvS9LyLZasI4Q6EPP8G_un6aFXdgWHbHSOApC7c_40f-Tfo0dxeguGlKlSlUoJ1Cpm2_0GD1N8shQQwgr18PYFNMraVM_w0rtMEmKH3GsMglWlb90V5XcMyoofkxrA-9qjt4VzqM6TxWEbYYSzF1ZmdLk10hNGluhieMC0vZqAEVZCVcIdFUkHvrv/
                          updated_time: '2022-06-13T18:44:33Z'
                      header:
                        execute_time: 0.2803099155426
                        status_code: 200
                401 Unauthorized:
                  value:
                    message:
                      body: []
                      header:
                        execute_time: 0.0082621574401855
                        status_code: 401
                404 Not Found:
                  value:
                    message:
                      body: []
                      header:
                        execute_time: 0.38449907302856
                        status_code: 404
components:
  securitySchemes:
    apiKey:
      type: apiKey
      name: apikey
      in: query

````